Bug 1167444 (wificurse) - Review Request: wificurse - WiFi DoS attack tool for auditing wireless networks.
Summary: Review Request: wificurse - WiFi DoS attack tool for auditing wireless networks.
Status: CLOSED EOL
Alias: wificurse
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yohan Graterol
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2014-11-24 19:39 UTC by Andreas Christoforou
Modified: 2015-07-21 13:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-30 01:13:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Christoforou 2014-11-24 19:39:00 UTC
WiFi DoS attack tool for auditing wireless networks.

SPEC: http://130.211.48.63/wificurse.spec
SRPM: http://130.211.48.63/wificurse-0.3.9-2.fc20.src.rpm

FAS User: andreasch

Comment 1 Yohan Graterol 2014-11-24 20:12:51 UTC
Andreas, you need add the valid license to SPEC, I see in the repo that is GPLv3.

And you need add the license file too.

https://github.com/oblique/wificurse/blob/master/LICENSE

Comment 2 Andreas Christoforou 2014-11-24 21:18:28 UTC
Fixed Version.

SPEC: http://130.211.48.63/wificurse.spec
SRPM: http://130.211.48.63/wificurse-0.3.9-3.fc20.src.rpm

FAS User: andreasch

Comment 3 Yohan Graterol 2014-11-24 21:36:59 UTC
Please solve "Uses parallel make %{?_smp_mflags} macro."

Comment 4 Andreas Christoforou 2014-11-24 21:45:29 UTC
Fixed Version

SPEC: http://130.211.48.63/wificurse.spec
SRPM: http://130.211.48.63/wificurse-0.3.9-4.fc20.src.rpm

FAS User: andreasch

Comment 5 Eduardo Echeverria 2014-11-26 03:52:29 UTC
Can you expand prefix with its corresponding macro?
rpm -E %{_prefix}

Makefile of this rpm supports DESTDIR 
https://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section

Comment 6 Eduardo Echeverria 2014-11-26 04:22:29 UTC
BTW, Fedora specific compilation flags are not correctly honored, please see 
http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Comment 7 Andreas Christoforou 2014-11-26 17:53:25 UTC
Fixed Version

SPEC: http://130.211.48.63/wificurse.spec
SRPM: http://130.211.48.63/wificurse-0.3.9-5.fc20.src.rpm

FAS User: andreasch

Comment 8 Andreas Christoforou 2014-12-06 19:14:29 UTC
New Links

SPEC: http://104.155.4.28/wificurse.spec
SRPM: http://104.155.4.28/wificurse-0.3.9-5.fc20.src.rpm

FAS User: andreasch

Comment 9 Fabian Affolter 2015-03-25 10:43:57 UTC
Andreas, can you please check the location of the spec file and the SRPM? I'm not able to retrieve the files.

Comment 10 Fedora End Of Life 2015-05-29 13:23:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 01:13:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.